summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Larry Hajali2011-12-19 04:29:41 +0100
committer Robby Workman2011-12-19 04:29:41 +0100
commit5f506db4c00687c59423c3a5138d12e216c1d2f1 (patch)
treeb9cdcdf7c496c693f30107bbe633a6328886f5c2 /games
parent7dff35001a9e79799b0d83760e7c4222aa30224a (diff)
downloadslackbuilds-5f506db4c00687c59423c3a5138d12e216c1d2f1.tar.gz
games/cuyo: Added (tetris-style puzzle game)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/cuyo/README1
-rw-r--r--games/cuyo/cuyo.SlackBuild86
-rw-r--r--games/cuyo/cuyo.info10
-rw-r--r--games/cuyo/doinst.sh3
-rw-r--r--games/cuyo/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/games/cuyo/README b/games/cuyo/README
new file mode 100644
index 0000000000..5cd0b28c90
--- /dev/null
+++ b/games/cuyo/README
@@ -0,0 +1 @@
+Tetris-style puzzle game for up to two players with a twist.
diff --git a/games/cuyo/cuyo.SlackBuild b/games/cuyo/cuyo.SlackBuild
new file mode 100644
index 0000000000..7baaba8127
--- /dev/null
+++ b/games/cuyo/cuyo.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for cuyo
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=cuyo
+VERSION=${VERSION:-2.0.0beta2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix .desktop item.
+sed -i '/^Encoding/d' icons/cuyo.desktop
+
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --mandir=/usr/man \
+ --disable-dependency-tracking \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+install -D -m 0644 datasrc/pics/$PRGNAM.xpm $PKG/usr/share/pixmaps/$PRGNAM.xpm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/cuyo/cuyo.info b/games/cuyo/cuyo.info
new file mode 100644
index 0000000000..83fff9b821
--- /dev/null
+++ b/games/cuyo/cuyo.info
@@ -0,0 +1,10 @@
+PRGNAM="cuyo"
+VERSION="2.0.0beta2"
+HOMEPAGE="http://www.karimmi.de/cuyo/"
+DOWNLOAD="http://download.savannah.gnu.org/releases/cuyo/cuyo-2.0.0beta2.tar.gz"
+MD5SUM="d4e7546ca5a4981a2e6d3e1bff7954c2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/games/cuyo/doinst.sh b/games/cuyo/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/cuyo/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/cuyo/slack-desc b/games/cuyo/slack-desc
new file mode 100644
index 0000000000..f074646934
--- /dev/null
+++ b/games/cuyo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cuyo: cuyo (tetris-style puzzle game)
+cuyo:
+cuyo: Tetris-style puzzle game for up to two players with a twist.
+cuyo:
+cuyo: Homepage: http://www.karimmi.de/cuyo/
+cuyo:
+cuyo:
+cuyo:
+cuyo:
+cuyo:
+cuyo: